### 7.18 `strcasecmp`—case-insensitive character string compare ¶

Synopsis

    #include <strings.h>
    int strcasecmp(const char *a, const char *b);

Description
`strcasecmp` compares the string at a to the string at b in a case-insensitive manner.

Returns

If `*a` sorts lexicographically after `*b` (after both are converted to lowercase), `strcasecmp` returns a number greater than zero. If the two strings match, `strcasecmp` returns zero. If `*a` sorts lexicographically before `*b`, `strcasecmp` returns a number less than zero.

Portability
`strcasecmp` is in the Berkeley Software Distribution.

`strcasecmp` requires no supporting OS subroutines. It uses tolower() from elsewhere in this library.